Bug 123977 - Installer returns error when installing packages which require other packages to be installed
Installer returns error when installing packages which require other packages...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: redhat-config-packages (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 05:04 EDT by Kim Pedersen
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 16:16:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim Pedersen 2004-05-22 05:04:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I have a basic Fedora Core 2 installation without server packages
installed. I wanted to install PostgreSQL after finding and choosing
the package (under SQL-databases) and clicking "update" I got a
messagebox sayning that I needed to install a bunch of packages before
PostgreSQL could be installed.

I am not complaining about dependencies but about the fact that the
system only says which packages are required. It should, instead of
just displaying these, have asked me whether I wanted to install them now.

As it is now, I have to manually find all the packages which are
required (which is also hard because the is no packagesearch
functionality in Fedora Core as in e.g. SuSE).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core without any server or database packages.
2. Try to install PostgreSQL.
3. Observe the messagebox sayning that you need a lot of packages.
    

Actual Results:  I have to find the packages I need, and install them
manually.

Expected Results:  The system should have said something like:
"To install PostgreSQL I also need to install the following packages:
package X
package Y
..
package Z
Is the OK
YES   -  NO"

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:52:28 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Jeremy Katz 2005-09-21 16:16:45 EDT
This report is filed against a product which is no longer supported.  It is very
likely that the problem is resolved in the current version of Fedora Core or
scheduled to be resolved with the new system-config-packages scheduled to land
in Fedora Core 5.

Note You need to log in before you can comment on or make changes to this bug.